# List templates (/docs/api-reference/templates/list-templates)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1685 · updated: 2026-07-30 -->
Related: [Create template (v3)](/docs/api-reference/templates/create-template-v3.md), [List templates (v2)](/docs/api-reference/templates/list-templates-v2.md), [Create template (v2)](/docs/api-reference/templates/create-template-v2.md), [Get build upload link](/docs/api-reference/templates/get-build-upload-link.md), [Create template](/docs/api-reference/templates/create-template.md), [Get template](/docs/api-reference/templates/get-template.md)

# List templates

`GET /templates`

> Deprecated

List all templates

## OpenAPI

```json
{
  "security": [
    {
      "ApiKeyAuth": []
    },
    {
      "AccessTokenAuth": []
    }
  ],
  "parameters": [
    {
      "in": "query",
      "required": false,
      "name": "teamID",
      "schema": {
        "type": "string",
        "description": "Identifier of the team"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "Successfully returned all templates",
      "content": {
        "application/json": {
          "schema": {
            "type": "array",
            "items": {
              "required": [
                "templateID",
                "buildID",
                "cpuCount",
                "memoryMB",
                "diskSizeMB",
                "public",
                "createdAt",
                "updatedAt",
                "createdBy",
                "lastSpawnedAt",
                "spawnCount",
                "buildCount",
                "envdVersion",
                "aliases",
                "names",
                "buildStatus"
              ],
              "properties": {
                "templateID": {
                  "type": "string",
                  "description": "Identifier of the template"
                },
                "buildID": {
                  "type": "string",
                  "description": "Identifier of the last successful build for given template"
                },
                "cpuCount": {
                  "type": "integer",
                  "format": "int32",
                  "minimum": 1,
                  "description": "CPU cores for the sandbox"
                },
                "memoryMB": {
                  "type": "integer",
                  "format": "int32",
                  "minimum": 128,
                  "description": "Memory for the sandbox in MiB"
                },
                "diskSizeMB": {
                  "type": "integer",
                  "format": "int32",
                  "minimum": 0,
                  "description": "Disk size for the sandbox in MiB"
                },
                "public": {
                  "type": "boolean",
                  "description": "Whether the template is public or only accessible by the team"
                },
                "aliases": {
                  "type": "array",
                  "description": "Aliases of the template",
                  "deprecated": true,
                  "items": {
                    "type": "string"
                  }
                },
                "names": {
                  "type": "array",
                  "description": "Names of the template (namespace/alias format when namespaced)",
                  "items": {
                    "type": "string"
                  }
                },
                "createdAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Time when the template was created"
                },
                "updatedAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Time when the template was last updated"
                },
                "createdBy": {
                  "oneOf": [
                    {
                      "required": [
                        "id",
                        "email"
                      ],
                      "properties": {
                        "id": {
                          "type": "string",
                          "format": "uuid",
                          "description": "Identifier of the user"
                        },
                        "email": {
                          "type": [
                            "string",
                            "null"
                          ],
                          "deprecated": true,
                          "default": null,
                          "description": "Email of the user"
                        }
                      },
                      "type": "object"
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "lastSpawnedAt": {
                  "type": [
                    "string",
                    "null"
                  ],
                  "format": "date-time",
                  "description": "Time when the template was last used"
                },
                "spawnCount": {
                  "type": "integer",
                  "format": "int64",
                  "description": "Number of times the template was used"
                },
                "buildCount": {
                  "type": "integer",
                  "format": "int32",
                  "description": "Number of times the template was built"
                },
                "envdVersion": {
                  "type": "string",
                  "description": "Version of the envd running in the sandbox"
                },
                "buildStatus": {
                  "type": "string",
                  "description": "Status of the template build",
                  "enum": [
                    "building",
                    "waiting",
                    "ready",
                    "error",
                    "uploaded"
                  ]
                }
              },
              "type": "object"
            }
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
